### Function Macro

# Camel CHECK_GERROR

since: 2.32

#### Declaration [src]

    #define CAMEL_CHECK_GERROR (
      object,
      method,
      expr,
      error
    )

#### Description [src]

This sanity checks return values and `GError`. If returning failure, make sure the `GError` is set. If returning success, make sure the `GError` is NOT set.

Example:

    success = class->foo (object, some_data, error);
    CAMEL_CHECK_GERROR (object, foo, success, error);
    return success;.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `-`

  A `GObject` descendant.

`method`

  Type: `-`

  A method which was run.

`expr`

  Type: `-`

  An expression to test, which evaluates to `TRUE` or `FALSE`.

`error`

  Type: `-`

  A pointer to a pointer of a `GError`, set by the `method`.